// Code generated by goctl. DO NOT EDIT.
package handler

import (
	"net/http"

	csauth "ylink/bff/apibff/internal/handler/cs/auth"
	cscmd "ylink/bff/apibff/internal/handler/cs/cmd"
	playerauth "ylink/bff/apibff/internal/handler/player/auth"
	playercmd "ylink/bff/apibff/internal/handler/player/cmd"
	"ylink/bff/apibff/internal/svc"

	"github.com/zeromicro/go-zero/rest"
)

func RegisterHandlers(server *rest.Server, serverCtx *svc.ServiceContext) {
	server.AddRoutes(
		[]rest.Route{
			{
				Method:  http.MethodPost,
				Path:    "/player/auth",
				Handler: playerauth.PlayerAuthHandler(serverCtx),
			},
		},
		rest.WithPrefix("/api/v1"),
	)

	server.AddRoutes(
		[]rest.Route{
			{
				Method:  http.MethodPost,
				Path:    "/player/fetch_cs_info",
				Handler: playercmd.PlayerFetchCsInfoHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/player/fetch_history_msg",
				Handler: playercmd.PlayerFetchHistoryMsgHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/player/fetch_msg",
				Handler: playercmd.PlayerFetchMsgHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/player/send_msg",
				Handler: playercmd.PlayerSendMsgHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/player/disconnect",
				Handler: playercmd.PlayerDisconnectHandler(serverCtx),
			},
		},
		rest.WithJwt(serverCtx.Config.Auth.AccessSecret),
		rest.WithPrefix("/api/v1"),
	)

	server.AddRoutes(
		[]rest.Route{
			{
				Method:  http.MethodPost,
				Path:    "/cs/auth",
				Handler: csauth.CsAuthHandler(serverCtx),
			},
		},
		rest.WithPrefix("/api/v1"),
	)

	server.AddRoutes(
		[]rest.Route{
			{
				Method:  http.MethodPost,
				Path:    "/cs/fetch_player_info",
				Handler: cscmd.CsFetchPlayerInfoHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/fetch_player_queue",
				Handler: cscmd.CsFetchPlayerQueueHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/connect_player",
				Handler: cscmd.CsConnectPlayerHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/fetch_history_list",
				Handler: cscmd.CsFetchHistoryListHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/fetch_history_msg",
				Handler: cscmd.CsFetchHistoryMsgHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/fetch_msg",
				Handler: cscmd.CsFetchMsgHandler(serverCtx),
			},
			{
				Method:  http.MethodPost,
				Path:    "/cs/send_msg",
				Handler: cscmd.CsSendMsgHandler(serverCtx),
			},
		},
		rest.WithJwt(serverCtx.Config.Auth.AccessSecret),
		rest.WithPrefix("/api/v1"),
	)
}
